D_DBFPATH(1)

NAME
d_dbfpath - set the path of the database files

SYNOPSIS
#include <typhoon.h>
d_dbfpath(char *path)

DESCRIPTION
d_dbdpath sets the path of the database files. This function should be called prior to calling d_open(1) as it determines where database files are stored. path can be either a relative or an absolute path name. The validity of path is not checked until d_open(1) is called. Setting the dbd-path does not affect previously opened databases.

DIAGNOSTICS
The status code returned by the function is also stored in the global variable db_status.

S_OKAY
    This value is always returned.

CURRENCY CHANGES
None.

IDENTIFICATION
Author: Thomas B. Pedersen.
Copyright (c) 1994 Thomas B. Pedersen.

SEE ALSO
d_dbdpath(1), d_open(1).